import { Component, OnInit } from '@angular/core';
import { CommonCompModule } from '../../../services/common.modules';
import { Router } from '@angular/router';
import * as Parse from 'parse';
import { PageTextbookComponent } from '../components/page-textbook/page-textbook.component';
import { TextbookComponent } from '../../../app/textbook/textbook.component';

@Component({
  selector: 'app-recycle',
  standalone: true,
  imports: [CommonCompModule,PageTextbookComponent,TextbookComponent],
  templateUrl: './recycle.component.html',
  styleUrls: ['./recycle.component.scss'],
})
export class RecycleComponent  implements OnInit {
  user: Parse.Object | any = Parse.User.current();
  constructor(private router: Router) {}
  filterObj:any = {
    isCheck: true,
    btns: {
      review: true, //预览
      restore:true
    }
  }
  ngOnInit() {}

  goUrl(url:string,params?:object|any){
    console.log(url);
    if(params){
      this.router.navigate([url,params])
    }else{
      this.router.navigate([url])
    }
  }
}
